<template>
  <div class="round-promotion-page">
    <div class="table-head">
      <el-button type="primary" @click="show_update_dialog = true"
        >Update</el-button
      >

      <el-input
        v-model="search"
        placeholder="Search"
        class="input-search"
      ></el-input>
    </div>

    <el-table height="250" :data="table_data" style="width: 100%">
      <el-table-column prop="admin" label="Admin" min-width="250">
      </el-table-column>

      <el-table-column prop="status" label="Status" min-width="120">
        <template slot-scope="scope">
          <el-tag
            v-if="scope.row.status === 'public'"
            type="success"
            effect="dark"
            >Public</el-tag
          >

          <el-tag
            v-if="scope.row.status === 'draft'"
            type="warning"
            effect="dark"
            >Draft</el-tag
          >
        </template>
      </el-table-column>

      <el-table-column prop="date_time" label="Date/Time" width="200">
      </el-table-column>

      <el-table-column label="" min-width="50">
        <template slot-scope="scope">
          <span class="material-icons btn-edit">edit</span>
        </template>
      </el-table-column>

      <el-table-column label="" min-width="50">
        <template slot-scope="scope">
          <span class="material-icons btn-delete">delete</span>
        </template>
      </el-table-column>
    </el-table>

    <div class="pagination">
      <span>First</span>

      <el-pagination small layout="prev, pager, next" :total="50">
      </el-pagination>

      <span>Last</span>
    </div>

    <el-dialog
      title="Update Round promotion"
      :visible.sync="show_update_dialog"
      width="620px"
      class="dialog-update-round-promotion"
    >
      <el-form
        ref="form"
        :model="form"
        label-position="top"
        label-width="120px"
      >
        <el-row :gutter="16">
          <el-col :span="12">
            <el-form-item label="Card">
              <el-select
                v-model="form.card"
                placeholder="Please select your card"
              >
                <el-option label="Zone one" value="shanghai"></el-option>
                <el-option label="Zone two" value="beijing"></el-option>
              </el-select>
            </el-form-item>
          </el-col>

          <el-col :span="12">
            <el-form-item label="Title">
              <el-input v-model="form.title" placeholder="Title"></el-input>
            </el-form-item>
          </el-col>
        </el-row>

        <el-form-item label="Package">
          <el-select
            v-model="form.package"
            placeholder="Please select your package"
          >
            <el-option label="Zone one" value="shanghai"></el-option>
            <el-option label="Zone two" value="beijing"></el-option>
          </el-select>
        </el-form-item>

        <el-row :gutter="16">
          <el-col :span="12">
            <el-form-item label="Discount">
              <el-select
                v-model="form.discount"
                placeholder="Please select your discount"
              >
                <el-option label="Zone one" value="shanghai"></el-option>
                <el-option label="Zone two" value="beijing"></el-option>
              </el-select>
            </el-form-item>
          </el-col>

          <el-col :span="12">
            <el-form-item label="Total price">
              <el-input type="number" v-model="form.total_price"></el-input>
            </el-form-item>
          </el-col>
        </el-row>

        <el-form-item label="Promotion expire">
          <el-date-picker
            type="date"
            placeholder="Pick a date"
            v-model="form.date1"
            style="width: 100%;"
          ></el-date-picker>
        </el-form-item>
      </el-form>

      <span slot="footer" class="dialog-footer">
        <el-button type="success" @click="show_update_dialog = false"
          >Public</el-button
        >

        <el-button type="primary" @click="show_update_dialog = false"
          >Save draft</el-button
        >
      </span>
    </el-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      table_data: [
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "public",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
        {
          admin: "Siripa Boobmee (Admin2)",
          status: "draft",
          date_time: "26/06/2021 16:40",
        },
      ],
      search: "",
      show_update_dialog: false,
      form: {
        card: "",
        title: "",
        package: "",
        discount: "",
        total_price: 0,
      },
    }
  },
  methods: {
    onSubmit() {
      console.log("submit!")
    },
  },
}
</script>

<style lang="scss" scoped>
.table-head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  .input-search {
    width: 270px;
  }
}
.el-table {
  height: calc(100vh - 233px) !important;
  .btn-edit {
    cursor: pointer;
  }
  .btn-delete {
    cursor: pointer;
    color: $color-error;
    opacity: 0.5;
  }
}
</style>
